From: Zheng Gengbing <[email-masked]>
Date: Fri, 12 Apr 1996 14:16:28 +0800 (EAT)

Hi, 
	
	Our progress is so slow , I think .

	Please finish our work on basicop immediately . I have compared 
/basicop files except r&w (I don't think r&w is a problem now) , If HIT 
donot update 1.20 recently since I got 1.20 ,  overwrite them all then . 
That is Ok , I'm sure .

	Here is the result of compare :

 ***  compare makelabel.c  *** 
83c83,84
<         this_scope = NULL;
---
> 
> 	this_scope = cur_scope();

	Little change . This will not effect anyone . But we hpfcc will
use the information to detect the label scope .

 ***  compare makellnd.c  *** 
50a51,53
> 	new_llnd->attr=0;				/* add by zheng.gb */
>         new_llnd->const_val=0;                          /* add by zheng.gb */
> 

	Since this is just a initailzation added by us , just added it .

 ***  compare makesymb.c  *** 
205c205,206
<       if(strcmp(temp->ident,string)==0)
---
> 					/* modified by zheng.gb  strcasecmp */
>       if(strcasecmp(temp->ident,string)==0)
297c298,299
<       if(strcmp(temp->ident,string)==0)
---
> 					/* modified by zheng.gb strcasecmp */
>       if(strcasecmp(temp->ident,string)==0)

	Little changes , just include it  in new version . 

 ***  compare maketype.c  *** 
82c82,83
<       if((temp->variant==T_RECORD)&&(strcmp(temp->name->ident,name->ident)==0))
---
> 						/* modified by zheng.gb */
> 	if((temp->variant==T_RECORD)&& (temp->name->id == name->id))

	In my letter before , I have explain this , let me give an example

	  module a
	  TYPE atype
 	  integer d
	  END TYPE

	  FUNCTION afunc
	  TYPE atype
	  real   e
	  END TYPE
	  TYPE(atype)  tt
	  END FUNCTION

	if we use the look_up_record of HIT , it will return the atype
declared in module a , not in afunc .Since HIT only compare the string ,
not consider the scope.

	So , let's finish the merge of basic and raise our rate of
progress toward /hpf2dep. 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************